#!/bin/sh

# disable filename globbing

 echo Content-type: text/html
 echo
 BASE=`pwd`
{
APPLDIR=$BASE/appl
DATADIR=$BASE/data
PATH=$PATH:$BASE/ihd/bin:.
TZ=America/Santiago
export PATH APPLDIR DATADIR TZ
T=/tmp/T$$
T1=/tmp/T1$$
T2=/tmp/T2$$
LN=./tmp/LN
./get >$T
awk -F= '
$0=="" || substr($1,1,1)=="T" || /DOCstatusdocumentos/ || $1=="scroll" { next }
$2!=""  ' $T > $T1
QRY=`awk -F= ' $1== "B1" {print $2} ' $T1 `
FRM=`awk -F= ' $1== "statusdocumentosH01" {print $2} ' $T1 `
if [ "$QRY" = Consultar ]
then
	COMMAND=`awk -F= ' BEGIN { printf "./ihd/bin/ihmq statusdocumentos " }
	index($1,"statusdocumentos") {
	if (NR==1 && substr($1,length($1)-1) !="00") printf "H00^ "
	if (index($1,"D")) printf "D%s^%s ",substr($1,length($1)-1),adv($2)
	else printf "H%s^%s ",substr($1,length($1)-1),adv($2)
}
function adv(txt) { while (substr(txt,1,1)==" ") txt=substr(txt,2); return (txt) }
END {
if (NR==1) print "H00^ "
print "" } ' $T1 `
$COMMAND | sort -t\^ -k2 -k1 -u  >$T2
NF=`awk ' END { print NR } ' $T2`
if [ $NF = 1 ]
then
		REG=`awk -F"^" ' { print $1 } ' $T2`
		./statusdocumentosget.cgi $REG
	else
	./statusdocumentoslist.cgi $T1 $T2
	fi
fi
if [ "$QRY" = Actualizar -o "$QRY" = FRM ]
then
	COMMAND=`awk -F= ' END { printf "./ihd/bin/ihmu statusdocumentos %s -N0\n","'"$T2"'" } ' `
	awk -F= '
	/statusdocumentosF/ { printf "H%s%s\n",substr($1,length($1)-1),substr($0,length($1)+2) }
	/statusdocumentosH/ { printf "H%s%s\n",substr($1,length($1)-1),substr($0,length($1)+2) }
	/statusdocumentosD/ { printf "D%s%s\n",substr($1,length($1)-3),substr($0,length($1)+2) }
	END { print " " }
	' $T1 > $T2
	$COMMAND 
	
	l data/statusdocumentos/INFO | awk ' { printf "document.getElementById(\"Misc01\").innerHTML=\"LUPD: %s %s %s\"\n",$6,$7,$8 } ' >../js/Rstatusdocumentos.js
	cat data/statusdocumentos/INFO | awk ' { printf "document.getElementById(\"Misc02\").innerHTML=\"RH: %.5d &nbsp;&nbsp;&nbsp;LD: %.6d\"",$1,$2 } ' >>../js/Rstatusdocumentos.js
	if [ "$QRY" = FRM ]
	then
		[ $FRM != newform ] && ./statusdocumentos.web newform 
		./ihd/bin/ihdm newform h00= h01= >$LN
		./statusdocumentos.cg $FRM $T
		./dlin
	else 
	cat ../statusdocumentos
	fi
fi
if [ "$QRY" = Ejecutar ]
then
	TZ=America/Santiago
	export TZ
	l -c ./statusdocumentos.rep | awk ' { printf "document.getElementById(\"Misc02\").innerHTML=\"%s %s %s\"\n",$6,$7,$8 } ' >../js/Rstatusdocumentos.js
	awk ' END { printf "document.getElementById(\"Misc01\").innerHTML=\"ULTIMA EMISION\"",$1,$2 } ' >>../js/Rstatusdocumentos.js
	./statusdocumentos.rep $T1
fi
if [ "$QRY" = CLEAR ]
then
        cat ../statusdocumentos
fi
 } 2> ./error/statusdocumentos
 cat ./error/statusdocumentos
rm $T $T1 $T2
